Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.events.model
Class EventMethodModel.Parameter

    java.lang.Object
      org.apache.fop.events.model.EventMethodModel.Parameter

All Implemented Interfaces:
  java.io.Serializable, org.apache.xmlgraphics.util.XMLizable

Enclosing class:
  EventMethodModel

    public static class EventMethodModel.Parameter

extends java.lang.Object
implements java.io.Serializable, org.apache.xmlgraphics.util.XMLizable

Represents an event parameter.

See Also:
  Serialized Form

Constructor Summary
`EventMethodModel.Parameter(java.lang.Class type, java.lang.String name)` Creates a new event parameter.

Method Summary
`java.lang.String` | `getName()` Returns the parameter name.
`java.lang.Class` | `getType()` Returns the parameter type.
`void` | `toSAX(org.xml.sax.ContentHandler handler)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EventMethodModel.Parameter

    public EventMethodModel.Parameter(java.lang.Class type,
                                      java.lang.String name)

  Creates a new event parameter.

  Parameters:
    `type` - the parameter type
    `name` - the parameter name

Method Detail

### getType

    public java.lang.Class getType()

  Returns the parameter type.

  Returns:
    the parameter type

### getName

    public java.lang.String getName()

  Returns the parameter name.

  Returns:
    the parameter name

### toSAX

    public void toSAX(org.xml.sax.ContentHandler handler)
               throws org.xml.sax.SAXException

  Specified by:
    `toSAX` in interface `org.apache.xmlgraphics.util.XMLizable`
  Throws:
    `org.xml.sax.SAXException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2016 The Apache Software Foundation. All Rights Reserved.